Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.output.io.rotate
Interface FileStrategy

All Known Implementing Classes:
  ExpandingFileStrategy, RevolvingFileStrategy, UniqueFileStrategy

    public interface FileStrategy

Strategy for naming log files. For a given base file name an implementation calculates the real file name.

Author:
  Bernhard Huber, Peter Donald

Method Summary
`File` | `currentFile()` Get the current logfile
`File` | `nextFile()` Get the next log file to rotate to.

Method Detail

### currentFile

    File currentFile()

  Get the current logfile

### nextFile

    File nextFile()

  Get the next log file to rotate to.

  Returns:
    the file to rotate to

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.